
%define firmware_name ipw2100

Name: firmware-ipw2100
Version: 1.3
Release: alt0.1
License: distributable
Group: System Environment/Kernel
Summary: Firmware for the Intel(R) PRO/Wireless 2100 Driver
Source0: %firmware_name-fw-%version.tgz

#Source1: ipw2x00_firmware_licence_Q_A.txt

Url: http://ipw2100.sourceforge.net/firmware.php

BuildArch: noarch

%description
This package contains the firmware for the ipw-2100 driver. Usage of
the firmware is subject to the terms contained in /%_lib/ipw2100-LICENSE.
Please read the license carefully.


%prep
%setup -q -c

%__tar -zxvf %SOURCE0

#cp %SOURCE1 .

%install
install -d $RPM_BUILD_ROOT/%_lib/firmware

install -p *.fw $RPM_BUILD_ROOT/%_lib/firmware
cp -df LICENSE $RPM_BUILD_ROOT/%_lib/firmware/%firmware_name-LICENSE

%files
%defattr(644,root,root,755)
#%doc ipw2x00_firmware_licence_Q_A.txt
/%_lib/firmware/%firmware_name-LICENSE
/%_lib/firmware/*.fw

%changelog
* Tue Apr 05 2005 Alexey Shabalin <shaba@altlinux.ru> 2.2-1
- init release 
