%define module_name             ipw2100
%define module_release alt0.1
%define module_version          1.1.0

%define kversion 2.6.10
%define krelease alt5
%define flavour                 wks26-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

#%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net/wireless

Summary: Linux %module_name - a Intel(R) PRO/Wireless 2100 Network Connection Driver module
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://ipw2100.sourceforge.net/
BuildPreReq: kernel-build-tools
# Automatically added by buildreq on Tue Apr 05 2005 (-ba)
BuildRequires: kernel-source-ipw2100-1.1.0

BuildRequires: modutils
BuildRequires: perl
BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2100 Network Connection mini PCI adapter.

%prep
%__rm -rf kernel-source-%module_name-%module_version

%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
%if "%kversion" <= "2.6.0"
# build for 2.4 kernel
%make LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ KERNELVERSION=2.4
%else
# build for 2.6 kernel
%make LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ KERNELVERSION=2.6
%endif

#%build
#%make_build LINUX="%_includedir/linux-%kversion-%flavour" CC=%kcc

%install
%__mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
    %if "%kversion" <= "2.6.0"
    %__cp -a *.o $RPM_BUILD_ROOT/%module_dir
    %else
    %__cp -a *.ko $RPM_BUILD_ROOT/%module_dir
    %endif

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Tue Apr 05 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt0.1
- initial release

