
%define module_name ipw2100
%define module_version 1.1.0
%define module_release alt0.1
%define module_source %module_name-%module_version.tgz
%define module_source_dir %module_name-%module_version

#### MODULE SOURCES ####
Name: kernel-source-%module_name-%module_version
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel
BuildArch: noarch
Source0: %module_source

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
%module_name modules sources for Linux kernel

%prep
%setup -cT
%__mkdir -p %module_source_dir
pushd %module_source_dir
%__tar -zxvf %SOURCE0
popd

%install
%__mkdir -p %buildroot%_usrsrc/kernel/sources/
%__mv %module_source_dir/%module_name-%module_version kernel-source-%module_name-%module_version
%__tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Tue Apr 05 2005 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt0.1
- initial release
